Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.capabilities
Class CatalogueGetCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.getcapabilities.GetCapabilities
              org.deegree.ogcwebservices.csw.capabilities.CatalogueGetCapabilities

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class CatalogueGetCapabilities

extends GetCapabilities

Class representation of an `OGC-GetCapabilities` request in `CSW` flavour.

Special to the `CSW` version of the `GetCapabilities` request are these two additional parameters:

Name | Occurences | Function
--- | --- | ---
AcceptVersions | 0|1 | Protocol versions supported by this service.
AcceptFormats | 0|1 | Formats accepted by this service.

Since:
  2.0
Version:
  $Revision: 18195 $
Author:
  Markus Schneider
See Also:
  Serialized Form

Constructor Summary
`CatalogueGetCapabilities(String id, String updateSequence, String version, String[] acceptVersions, String[] acceptFormats, String[] sections, Map<String,String> vendoreSpec)` Creates a new `CatalogueGetCapabilities` instance.

Method Summary
`static CatalogueGetCapabilities` | `create(Map<String,String> kvp)` Creates a `CatalogGetCapabilities` request from its KVP representation.
`static CatalogueGetCapabilities` | `create(String id, Element root)` Creates a `CatalogGetCapabilities` request from its XML representation.
`String` | `getServiceName()` returns WCS as service name
`(package private) static String` | `validateVersion(String[] acceptVersions)`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.GetCapabilities
`getAcceptFormats, getAcceptVersions, getSections, getUpdateSequence`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CatalogueGetCapabilities

    CatalogueGetCapabilities(String id,
                             String updateSequence,
                             String version,
                             String[] acceptVersions,
                             String[] acceptFormats,
                             String[] sections,
                             Map<String,String> vendoreSpec)

  Creates a new `CatalogueGetCapabilities` instance.

  Parameters:
    `id` - request identifier
    `updateSequence` -
    `version` -
    `acceptVersions` -
    `acceptFormats` -
    `sections` -
    `vendoreSpec` -

Method Detail

### create

    public static CatalogueGetCapabilities create(Map<String,String> kvp)
                                           throws InvalidParameterValueException

  Creates a `CatalogGetCapabilities` request from its KVP representation.

  Parameters:
    `kvp` - Map containing the key-value pairs
  Returns:
    created `CatalogGetCapabilities` object
  Throws:
    `InvalidParameterValueException`

### create

    public static CatalogueGetCapabilities create(String id,
                                                  Element root)
                                           throws OGCWebServiceException

  Creates a `CatalogGetCapabilities` request from its XML representation.

  Parameters:
    `id` - unique ID of the request
    `root` - XML representation of the request
  Returns:
    created `CatalogGetCapabilities` object
  Throws:
    `OGCWebServiceException` - thrown if something in the request is wrong

### getServiceName

    public String getServiceName()

  returns WCS as service name

  Returns:
    the name of the service that is targeted by the request

### validateVersion

    static String validateVersion(String[] acceptVersions)

  Parameters:
    `acceptVersions` -
  Returns:
    the highst supported version or `null` if none of the passed versions is supported

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org